phpBB 3.2.3 ist erschienen

Gesperrt
Annette

Hangman-Autor Hangman-Spieler Sudokusucht Hangman 2 Hangman 3
Bester Sudokuspieler 1-2-3 Danke Oberquasselstrippe Beitragsverfasser
Administrator
Administrator
Beiträge: 3132
Registriert: So 1. Feb 2009, 14:12
Orden: 11
Website: https://ladyscommunity.de
Hat sich bedankt: 2 Mal
Danksagung erhalten: 12 Mal

phpBB 3.2.3 ist erschienen

Beitrag von Annette »

Am 13.09.2018 wurde das phpBB Update 3.2.3 auf der englischen Mutterseite herausgegeben.

Bitte beachten: die erforderliche PHP-Version wurde inzwischen für phpBB selbst auf PHP 5.4.7 als absolutes Minimum angehoben. Viele Extensionen erwarten aber bereits mindestens eine Version oberhalb von PHP 5.6.

Das Ankündigungsthema auf der deutschen Seite phpBB.de findet sich hier. Heute sind noch keine deutschen Sprachpakete verfügbar, die werden aber in dem Thema nachgetragen. Mit einiger Wahrscheinlichkeit werden sie im Laufe der nächsten Tage eingestellt.

Es gibt ein paar Anpassungen für die Styles, aber nichts wirklich großes. Die Änderungen finden sich hier (Code-Changes).

Dies ist eine Zusammenstellung der von diesem Update hoffentlich behobenen Fehler (betroffene Tracker-Tickets).

Während wir auf die deutschen Downloads warten, beobachte ich erstmal das Supportforum der englischen Mutterseite, welche Fehler in diesem Update auftreten. In der nächsten Woche werde ich mich dann zunächst mal mit einem Probeupdate auf einem meiner Testboards beschäftigen, ehe ich das Hauptforum aktualisiere. Zur Vorbereitung kann man natürlich schon mal die Datei-Backups ziehen.

Neuere Erkenntnisse zu diesem Update ergänze ich in diesem Thema.

______________________________

Mehrmals gemeldeter Fehler nach dem Update unter PHP 7.2.x, möglicherweise im Zusammenhang mit Benutzung von APCU-Cache (Hosting-PHP-Einstellung):

Code: Alles auswählen

[phpBB Debug] PHP Warning: in file [ROOT]........... count(): Parameter must be an array or an object that implements Countable
https://tracker.phpbb.com/browse/PHPBB3-15507
https://tracker.phpbb.com/browse/PHPBB3-15791
https://tracker.phpbb.com/browse/PHPBB3-15612
https://tracker.phpbb.com/browse/PHPBB3-15660
https://tracker.phpbb.com/browse/PHPBB3-15659
Verstecken ist aktiviert
Um diesen versteckten Text lesen zu können, mußt du registriert und angemeldet sein.
--------------------

[HowTo] phpBB Update ab 3.2.0
Die bevorzugte und empfohlene Methode => das manuelle Upgrade, auch "File Replacement Methode" genannt. Anleitung auf phpbb.de: https://www.phpbb.de/kb/update32x
phpBB github.com Pull Requests

Annette

Hangman-Autor Hangman-Spieler Sudokusucht Hangman 2 Hangman 3
Bester Sudokuspieler 1-2-3 Danke Oberquasselstrippe Beitragsverfasser
Administrator
Administrator
Beiträge: 3132
Registriert: So 1. Feb 2009, 14:12
Orden: 11
Website: https://ladyscommunity.de
Hat sich bedankt: 2 Mal
Danksagung erhalten: 12 Mal

Re: phpBB 3.2.3 ist erschienen

Beitrag von Annette »

Seit phpBB 3.2.1 existierender Fehler: wenn ein Entwurf eines Beitrages gespeichert wurde, und dieser Entwurf dann geladen und bearbeitet wird, werden statt BBCodes html-Codes im Text angezeigt. Dieser Fehler wurde noch nicht beseitigt - ist ärgerlich, aber beeinträchtigt nicht wirklich die Funktion des Forums. Wer nicht mit Entwürfen arbeitet, wird das niemals merken.
https://tracker.phpbb.com/browse/PHPBB3-15329

---------------------

Seit phpBB 3.2.1 - bisher ungelöst: Es gibt ein Problem mit Emojis, wenn sie in Textfelder (besonders in Thementitel) eingefügt werden. Beispiel:
Verstecken ist aktiviert
Um diesen versteckten Text lesen zu können, mußt du registriert und angemeldet sein.
Wer nicht den Fehler macht, irgendwelche Emojis in andere Felder als die Inputbox zu setzen, wird davon wohl nicht betroffen sein.

--------------------

Es wurde ein Bug entdeckt in 3.2.3 der sich auf Mobilgeräten mit weniger als 350px Bildschirm zeigt. Es ist dort offenbar nicht mehr möglich, die Benachrichtigungen anzuzeigen. Dieser Fehler soll durch die Lösung von einem anderen Ticket verursacht worden sein. Fällt unter "trivial".
https://www.phpbb.com/community/viewtop ... &t=2486741

Bisher sehe ich keine in den letzten Tagen gemeldeten Fehler, die jemanden vom Update abhalten sollten. Alles mehr oder weniger trivial oder schon in der Vorversion vorhanden und kaum aufgefallen. Dieses Update scheint weitgehend gelungen.

Gesperrt